import request from '@/utils/request'

// 查询蒸汽幕检查记录列表
export function listCurtain(query) {
  return request({
    url: '/fire/curtain/list',
    method: 'get',
    params: query
  })
}

// 查询蒸汽幕检查记录详细
export function getCurtain(id) {
  return request({
    url: '/fire/curtain/' + id,
    method: 'get'
  })
}

// 新增蒸汽幕检查记录
export function addCurtain(data) {
  return request({
    url: '/fire/curtain',
    method: 'post',
    data: data
  })
}

// 修改蒸汽幕检查记录
export function updateCurtain(data) {
  return request({
    url: '/fire/curtain',
    method: 'put',
    data: data
  })
}

// 删除蒸汽幕检查记录
export function delCurtain(id) {
  return request({
    url: '/fire/curtain/' + id,
    method: 'delete'
  })
}
